package com.runemadsen.joomla {
	import flash.net.URLLoader;
	import flash.net.URLRequest;

	public class FlashFeed extends URLLoader
	{
		/* Properties
        ___________________________________________________________*/
        
		private var _joomlaURL:String;
		
		/* Constructor
        ___________________________________________________________*/
		
		public function FlashFeed(joomlaURL:String)
		{
			_joomlaURL = joomlaURL;
		}
		
		/* Public Methods
        ___________________________________________________________*/
        
        public function loadArticleById(articleId:Number):void
        {
        	var path:String = _joomlaURL + "/index.php?option=com_content&view=article&format=xml&id=" + articleId;
        	var request:URLRequest = new URLRequest(path);
        	this.load(request);
        }
        
        public function loadCategoryById(categoryId:Number):void
        {
        	var path:String = _joomlaURL + "/index.php?option=com_content&view=category&format=xml&id=" + categoryId;
        	var request:URLRequest = new URLRequest(path);
        	this.load(request);
        }
        
        public function loadSectionById(sectionId:Number):void
        {
        	var path:String = _joomlaURL + "/index.php?option=com_content&view=section&format=xml&id=" + sectionId;
        	var request:URLRequest = new URLRequest(path);
        	this.load(request);
        }
		
		public function loadFrontpage():void
        {
        	var path:String = _joomlaURL + "/index.php?option=com_content&view=frontpage&format=xml";
        	var request:URLRequest = new URLRequest(path);
        	this.load(request);
        }
	}
}
